"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LocalStore_1 = require("./LocalStore/LocalStore");
var FireStore_1 = require("./FireStore");
var Persistence = /** @class */ (function () {
    function Persistence(framework) {
        this.framework = framework;
        if (!framework.db) {
            this.store = LocalStore_1.LocalStore;
        }
        else {
            this.store = new FireStore_1.default(this.framework.db);
        }
    }
    Persistence.prototype.get = function (key) {
        return this.store.getItem(key);
    };
    Persistence.prototype.set = function (key, value) {
        return this.store.setItem(key, value);
    };
    return Persistence;
}());
exports.default = Persistence;
//# sourceMappingURL=Persistence.js.map